Subject: bug#68509: 30.0.50; pcase-dolist matches backquote pattern incorrectly

From: Stefan Monnier <[email-masked]>
Date: Tue, 20 Feb 2024 12:51:59 -0500

>>> What about adding extra option/keyword and also showing a runtime
>>> warning when pcase-dolist/pcase-let encounter something that does not
>>> match the pattern?
>> In the current use of those primitives, it's routine/normal/common for
>> a pattern like `(,a ,b) to encounter lists of different length than 2,
>> so a warning should be emitted only if specifically requested via an
>> option/keyword.
> But isn't it undocumented?

AFAIK the "best" documentation we have for that is the one in
`pcase-let`, which is indeed unsatisfactory.

        Stefan